Subject: bug#66394: 29.1; Make register-read-with-preview more useful

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 24 Oct 2023 05:30:20 +0000

Michael Heerdegen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Yes but I think this should go into another commit on top of my patch
>> to avoid having a "too big patch".
>
> Yes, maybe.
>
> Ok, some more remarks (I have looked at that url now...):
>
> * Would it make sense to also allow M-n (known as "future history" for
>   `completing-read') to gather the next free register (seems also
>   natural - just a thought)

It is already done ;-)

> * Multiple times I saw "contains no text" where a better hint would have
>   been to say "empty".  Not all registers contain text.  Happens
>   e.g. for C-x r SPC R where R is any unused register.

Yes I used the message vanilla Emacs already use somewhere, but yes
empty seems better.

> * register-preview-default-keys may be initialized using
>   (mapcar #'string (number-sequence ?a ?z)) if you like.

Yes could be done. 

PS: I found a bug in my code with frame configs not appearing in preview,
now fixed, will update the gist right now with your suggestions as well.

Thanks.

-- 
Thierry